mav_gfxWindowEventGet(3)

NAME
mav_gfxWindowEventGet - Check for window events.

LEVEL
Maverik Level 3

SYNTAX
int mav_gfxWindowEventGet(int *info);

ARGUMENTS

int *info
    returns information on the event

DESCRIPTION
Thus function checks the window event queue to see if any events are outstanding. The window events that are trapped are key press/release, mouse button press/release, window crossing, resize, mapping and exposure.

If an event is waiting to be processed, it is removed from the queue and details of that event are returned in info. The contents of info are dependent on the event type and are trivially derived from the source code to mav_gfxWM.

The function returns MAV_TRUE if an event was outstanding, MAV_FALSE otherwise.